Supported Webhooks' Triggers and Payloads

The job types given in the table below currently support webhook integrations, which is the same list as available under POST /user-webhook/ endpoint's job_type body parameter.

Each job type has a failure and success trigger upon which a payload is sent to the notification callback_url configured at the time of creating the webhook. The details for each job type's webhook triggers and payload are summarised in the table below.

If you're interested in a specific job, please visit its documentation.

Job TypeTriggersWebhook Payload
report_job
ancestry_job
pgx_job
longevity_screener_job
bio_chemistry_job
carrier_status_job
clinical_overview_job
Failure Trigger: Job fails at any stage.

Success Trigger: Job is completed, i.e. job's current status is equal to job's desired_status. If desired_status is report_generated, webhook would be triggered upon report generation, and if desired_status is pdf_generated, webhook would be triggered upon PDF generation.
Same as response payload of GET /***_job/{id}/. E.g. if it's a report job, webhook payload would contain all job details and have the same schema as the /report-job/{id}/ endpoint's response.
genome_file_jobFailure Trigger: Job fails at any stage.

Success Trigger: Genome file is successfully processed, i.e. job's status = file_processed
Same as response payload of GET /genome-file-job/{id}/ endpoint
dna_kit_jobFailure Trigger: Job fails at any stage.

Success Trigger: Job is successfully completed, i.e. job's status = completed. To know more about the status progressions for DNA kit job, refer here.
Same as response payload of GET /dna-kit-job/{id}/ endpoint
order_jobFailure Trigger: There is an error processing the order and order's status = error

Success Trigger: Order is successfully shipped. To know more about the status progressions for orders, refer here.
Refer here for details
lab_ocr_jobFailure Trigger: Job fails at any stage.

Success Trigger: OCR job is successfully completed, i.e. job's status = completed and lab results are available for review.
Same as response payload of GET /lab-ocr-job/{id}/ endpoint with the results field populated in case of success.